//
//  ShorcutsProviders.swift
//  BooksShelfCustomIntent
//
//  Created by Giugliano Antonella on 10/03/25.
//
import AppIntents

struct BookShelfShortcutsProvider: AppShortcutsProvider {
    
    static var appShortcuts: [AppShortcut]{
        AppShortcut(
            intent: OpenBookIntent(),
            phrases: [
                "Open a book in \(.applicationName)",
                "Open \(\.$target) in \(.applicationName)",
                "Open \(\.$target) book in \(.applicationName)"
            ],
            shortTitle: "Open a book",
            systemImageName: "book"
        )
    }
}
